<div class="container">
  <h1 class="header">Top Artists</h1>
  <div class="time-range">
    <button mat-button class="range-button" [class.active]="timeRange==='shortTerm'" (click)="onTimeRange('shortTerm')">Last month</button>
    <button mat-button class="range-button" [class.active]="timeRange==='mediumTerm'" (click)="onTimeRange('mediumTerm')">Last 6 months</button>
    <button mat-button class="range-button" [class.active]="timeRange==='longTerm'" (click)="onTimeRange('longTerm')">All time</button>
  </div>
  <mat-list>
    <mat-list-item *ngFor="let artist of artistList; let counter = index ">
      <img matListAvatar [src]="artist.images[0].url" alt="Track cover">
      <div mat-line>
        <span class="number">{{ counter + 1 }}</span>
        <span class="artist-name"> {{ artist.name }}</span>
      </div>
    </mat-list-item>
  </mat-list>
</div>
